Skip to main content
POST
/
api
/
v1
/
auth
/
transfers
/
b2b
/
external
B2B Transfer To External Address
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/transfers/b2b/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to_address": "<string>",
  "amount": "<string>",
  "memo": "<string>",
  "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pricing_profile_id": "<string>",
  "fx_rate_quote_id": "<string>",
  "fiat_currency": "<string>",
  "fiat_amount_equivalent": "<string>"
}
'
{
  "transfer": {
    "id": "66666666-6666-6666-6666-666666666666",
    "transfer_type": "B2B",
    "from_user_id": "aaaaaaaa-aaaa-aaaa-aaaa-aaaaaaaaaaaa",
    "to_user_id": null,
    "to_address": "0x7f5c764cbc14f9669b88837ca1490cca17c31607",
    "from_address": "0x1234567890abcdef1234567890abcdef12345678",
    "to_address_resolved": "0x7f5c764cbc14f9669b88837ca1490cca17c31607",
    "asset": "USDC",
    "crypto_amount": "20000.00000000",
    "network": "ethereum",
    "status": "completed",
    "tx_hash": "0xaaa777",
    "memo": "External settlement"
  },
  "message": "B2B external transfer completed successfully",
  "correlation_id": "req-b2b-ext-ok"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
to_address
string
required
asset
enum<string>
required
Available options:
USDT,
USDC
amount
string
required
network
enum<string>
required
Available options:
tron,
ethereum
memo
string
from_wallet_id
string<uuid>
pricing_profile_id
string
fx_rate_quote_id
string
fiat_currency
string
fiat_amount_equivalent
string

Response

OK